JaasAuthentication (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jaas.JaasAuthentication class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jaas
Class JaasAuthentication

    java.lang.Object
      org.mule.module.jaas.JaasAuthentication

All Implemented Interfaces:
  Authentication

    public class JaasAuthentication

extends Object
implements Authentication

Constructor Summary
`JaasAuthentication(Credentials credentials)`
`JaasAuthentication(Object user, Object credentials, Subject subject)`

Method Summary
`Object` | `getCredentials()`
`Object` | `getPrincipal()`
`Map` | `getProperties()`
`Subject` | `getSubject()`
`boolean` | `isAuthenticated()`
`void` | `setAuthenticated(boolean b)`
`void` | `setProperties(Map properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaasAuthentication

    public JaasAuthentication(Credentials credentials)

### JaasAuthentication

    public JaasAuthentication(Object user,
                              Object credentials,
                              Subject subject)

Method Detail

### setAuthenticated

    public void setAuthenticated(boolean b)

  Specified by:
    `setAuthenticated` in interface `Authentication`

### isAuthenticated

    public boolean isAuthenticated()

  Specified by:
    `isAuthenticated` in interface `Authentication`

### getCredentials

    public Object getCredentials()

  Specified by:
    `getCredentials` in interface `Authentication`

### getPrincipal

    public Object getPrincipal()

  Specified by:
    `getPrincipal` in interface `Authentication`

### getProperties

    public Map getProperties()

  Specified by:
    `getProperties` in interface `Authentication`

### setProperties

    public void setProperties(Map properties)

  Specified by:
    `setProperties` in interface `Authentication`

### getSubject

    public Subject getSubject()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.